import ChainableWebpackConfig from 'webpack-chain';
import { VueServiceOptions } from '@vue/cli-service/lib/options';
export interface ChainWebpackHashOptions {
    /** @default true */
    hashModify?: boolean;
    /** @default 'hex' */
    hashDigest?: string;
    /** @default 128 */
    hashDigestLength?: number;
    /** @default 'sha512' */
    hashFunction?: string;
    /** @default 32 */
    inlineLimit?: number;
}
/**
 * Generates chain webpack function for modifying webpack filename hash behavior
 */
export declare function chainWebpackHash(projectOptions: VueServiceOptions, hashOptions?: ChainWebpackHashOptions): (config: ChainableWebpackConfig) => void;
//# sourceMappingURL=hash.d.ts.map